import argparse
import sys


def parse_args():
    r"""
    Parses the command line arguments.

    """
    parser = argparse.ArgumentParser(
        description='Train a classification model')
    parser.add_argument('--cfg', dest='cfg_file', help='Config file path',
                        required=True, type=str)
    parser.add_argument(
        '--mark_done',
        dest='mark_done',
        action='store_true',
        help='mark yaml as yaml_done after a job has finished',
    )
    parser.add_argument('opts', help='See graphgym/config.py for all options',
                        default=None, nargs=argparse.REMAINDER)
    if len(sys.argv) == 1:
        parser.print_help()
        sys.exit(1)
    return parser.parse_args()
